<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>20. Fundamentos de RegEx</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="fundamentos-de-regex">20. Fundamentos de RegEx</h1>
        <ul>
            <li>
                <p>Horas: 10</p>
            </li>
            <li>
                <p>Tipo: práctico</p>
            </li>
            <li>
                <p>Relaciones: 2r, 5e, 8e, 9e, 19e</p>
            </li>
        </ul>
        <h2 id="descripcion_20">Descripción</h2>
        <p>Aquí el texto es una cadena de caracteres. RegEx es un lenguaje y una herramienta muy poderosa que se puede implementar en la edición si se le usa de manera adecuada. Las expresiones regulares pueden ser muy útiles para extraer información a través de patrones. En este módulo se aprenderá a limpiar un texto y a darle la estructura correcta. Se mostrarán fórmulas básicas que ayuden a sustituir información y a entender que el «buscar» y «reemplazar» puede ofrecer una solución confiable si se tienen las bases para utilizarlos.</p>
        <h2 id="objetivos_20">Objetivos</h2>
        <ul>
            <li>
                <p>Conocer qué son las expresiones regulares.</p>
            </li>
            <li>
                <p>Explicar la nomenclatura de RegEx.</p>
            </li>
            <li>
                <p>Describir fórmulas para la limpieza de formato.</p>
            </li>
        </ul>
        <h2 id="temas_20">Temas</h2>
        <ol>
            <li>
                <p>Todo esencialmente es un carácter.</p>
            </li>
            <li>
                <p>¿Qué significa cada carácter en RegEx?</p>
            </li>
            <li>
                <p>Buscar y reemplazar todo.</p>
            </li>
            <li>
                <p>Fórmulas para limpiar y formatear texto.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_20">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Ninguno.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_20">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras para realizar los ejercicios.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
